NX Open C++ Reference Guide
|
Represents a revolve builder. More...
Public Member Functions | |
NXOpen::Axis * | Axis () |
Returns the revolve axis. | |
NXOpen::GeometricUtilities::BooleanOperation * | BooleanOperation () |
Returns the revolve boolean. | |
NXOpen::GeometricUtilities::FeatureOptions * | FeatureOptions () |
Returns the feature options. | |
NXOpen::GeometricUtilities::Limits * | Limits () |
Returns the limit data. | |
NXOpen::GeometricUtilities::FeatureOffset * | Offset () |
Returns the revolve offset. | |
NXOpen::Section * | Section () |
Returns the section. | |
void | SetAxis (NXOpen::Axis *axis) |
Sets the revolve axis. | |
void | SetEndLimitHelperPoint (const std::vector< double > &endHelperPoint) |
If until selected option is used for end limit and the selected entity intersects the revolve multiple times, this point (in parasolid units) will help the system determine which intersection to select. | |
void | SetSection (NXOpen::Section *section) |
Sets the section. | |
void | SetStartLimitHelperPoint (const std::vector< double > &startHelperPoint) |
If until selected option is used for start limit and the selected entity intersects the revolve multiple times, this point (in parasolid units) will help the system determine which intersection to select. | |
void | SetTolerance (double tolerance) |
Sets the revolve tolerance. | |
NXOpen::GeometricUtilities::SmartVolumeProfileBuilder * | SmartVolumeProfile () |
Returns the smart volume profile. | |
double | Tolerance () |
Returns the revolve tolerance. | |
![]() | |
NXOpen::Features::Feature * | CommitFeature () |
Commits the feature parameters and creates the feature. | |
NXOpen::Features::Feature * | GetFeature () |
Returns the feature currently being edited by this builder. | |
void | HideInternalParentFeatureAfterEdit (NXOpen::Features::Feature *parentFeature) |
Re-suppress an internal parent feature (a slave feature) after it has been edited. | |
bool | ParentFeatureInternal () |
Returns whether or not the latest timestamped parent feature of this feature should be made internal Created in NX5.0.0. | |
bool | PatchSolutionFlag () |
Returns the patch solution flag Created in NX8.0.1. | |
NXString | PatchSurfaceFilename () |
Returns the patch surface filename Created in NX8.0.1. | |
void | SetParentFeatureInternal (NXOpen::Features::Feature *parentFeature) |
Set the parent features which would be internal or slaves to the feature being created or commited Created in NX6.0.0. | |
void | SetParentFeatureInternal (bool isInternal) |
Sets whether or not the latest timestamped parent feature of this feature should be made internal Created in NX5.0.0. | |
void | SetPatchSolutionFlag (bool optionValue) |
Sets the patch solution flag Created in NX8.0.1. | |
void | SetPatchSurfaceFilename (const NXString &surfaceFilename) |
Sets the patch surface filename Created in NX8.0.1. | |
void | SetPatchSurfaceFilename (const char *surfaceFilename) |
Sets the patch surface filename Created in NX8.0.1. | |
void | SetSurroundingPatchSurfaceFilename (const NXString &surroundingSurfaceFilename) |
Sets the surrounding patch surface filename Created in NX8.0.1. | |
void | SetSurroundingPatchSurfaceFilename (const char *surroundingSurfaceFilename) |
Sets the surrounding patch surface filename Created in NX8.0.1. | |
void | ShowInternalParentFeatureForEdit (NXOpen::Features::Feature *parentFeature) |
Unsuppress an internal parent feature (a slave feature) so it can be edited. | |
NXString | SurroundingPatchSurfaceFilename () |
Returns the surrounding patch surface filename Created in NX8.0.1. | |
void | UnsetParentFeatureInternal (NXOpen::Features::Feature *parentFeature) |
Set the internal parent feature of the feature being edited to external Created in NX6.0.0. | |
![]() | |
NXOpen::NXObject * | Commit () |
Commits any edits that have been applied to the builder. | |
void | Destroy () |
Deletes the builder, and cleans up any objects created by the builder. | |
std::vector< NXOpen::NXObject * > | GetCommittedObjects () |
For builders that create more than one object, this method returns the objects that are created by commit. | |
NXOpen::NXObject * | GetObject () |
Returns the object currently being edited by this builder. | |
void | ShowResults () |
Updates the model to reflect the result of an edit to the model for all builders that support showing results. | |
virtual bool | Validate () |
Validate whether the inputs to the component are sufficient for commit to be called. | |
![]() | |
tag_t | GetTag () const |
<b>Deprecated</b>:<br> Use Tag instead. | |
tag_t | Tag () const |
Returns the tag of this object. | |
Represents a revolve builder.
<br> To create a new instance of this class, use @link Features::FeatureCollection::CreateRevolveBuilder Features::FeatureCollection::CreateRevolveBuilder @endlink <br>
Default values.
Property | Value |
---|---|
SmartVolumeProfile.OpenProfileSmartVolumeOption |
0 |
Created in NX3.0.1.
NXOpen::Axis* NXOpen::Features::RevolveBuilder::Axis | ( | ) |
Returns the revolve axis.
Created in NX3.0.1.
License requirements : None
NXOpen::GeometricUtilities::BooleanOperation* NXOpen::Features::RevolveBuilder::BooleanOperation | ( | ) |
Returns the revolve boolean.
Created in NX3.0.1.
License requirements : None
NXOpen::GeometricUtilities::FeatureOptions* NXOpen::Features::RevolveBuilder::FeatureOptions | ( | ) |
Returns the feature options.
Created in NX4.0.0.
License requirements : None
NXOpen::GeometricUtilities::Limits* NXOpen::Features::RevolveBuilder::Limits | ( | ) |
Returns the limit data.
Created in NX3.0.1.
License requirements : None
NXOpen::GeometricUtilities::FeatureOffset* NXOpen::Features::RevolveBuilder::Offset | ( | ) |
Returns the revolve offset.
Created in NX3.0.1.
License requirements : None
NXOpen::Section* NXOpen::Features::RevolveBuilder::Section | ( | ) |
Returns the section.
Created in NX3.0.1.
License requirements : None
void NXOpen::Features::RevolveBuilder::SetAxis | ( | NXOpen::Axis * | axis | ) |
Sets the revolve axis.
Created in NX3.0.1.
License requirements : solid_modeling ("SOLIDS MODELING")
axis | axis |
void NXOpen::Features::RevolveBuilder::SetEndLimitHelperPoint | ( | const std::vector< double > & | endHelperPoint | ) |
If until selected option is used for end limit and the selected entity intersects the revolve multiple times, this point (in parasolid units) will help the system determine which intersection to select.
Created in NX7.5.0.
License requirements : solid_modeling ("SOLIDS MODELING")
endHelperPoint | If given end trim limit intersects with revolve multiple times, solution closest to this point will be used. |
void NXOpen::Features::RevolveBuilder::SetSection | ( | NXOpen::Section * | section | ) |
Sets the section.
Created in NX3.0.1.
License requirements : solid_modeling ("SOLIDS MODELING")
section | This parameter may not be NULL. |
void NXOpen::Features::RevolveBuilder::SetStartLimitHelperPoint | ( | const std::vector< double > & | startHelperPoint | ) |
If until selected option is used for start limit and the selected entity intersects the revolve multiple times, this point (in parasolid units) will help the system determine which intersection to select.
Created in NX7.5.0.
License requirements : solid_modeling ("SOLIDS MODELING")
startHelperPoint | If given start trim limit intersects with revolve multiple times, solution closest to this point will be used. |
void NXOpen::Features::RevolveBuilder::SetTolerance | ( | double | tolerance | ) |
Sets the revolve tolerance.
Created in NX3.0.1.
License requirements : solid_modeling ("SOLIDS MODELING")
tolerance | tolerance |
NXOpen::GeometricUtilities::SmartVolumeProfileBuilder* NXOpen::Features::RevolveBuilder::SmartVolumeProfile | ( | ) |
Returns the smart volume profile.
Created in NX8.5.0.
License requirements : None
double NXOpen::Features::RevolveBuilder::Tolerance | ( | ) |
Returns the revolve tolerance.
Created in NX3.0.1.
License requirements : None